﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DuszaRegionalis.commands
{
    /// <summary>
    /// Egy commit-ot reprezentáló adatszerkezet, melynek lényege a commit azonosítójának és szülőjánek tárolása
    /// Természetesen lehetne bővíteni, hogy minden commithoz tartozó adat benne legyen, de nem éreztem szükségét,
    /// mert nagyon kevés esetben van szükség azok tárolására, machinálására
    /// </summary>
    class Commit
    {
        public string commitId { get; set; }
        public string parentId { get; set; }
        public Commit(string commitId, string parentId)
        {
            this.commitId = commitId;
            this.parentId = parentId;
        }
    }
}
